## db_reg

### Verwendung

Sie aktualisieren die Registrierungsinformationen einer Datenbankinstanz. Durch die Angabe einer Option können Sie eine bestimmte Registrierungsinformation aktualisieren.

Unter Microsoft Windows wird der entsprechende Eintrag in der Registry und unter UNIX die Datei d atabases.ini im Verzeichnis <independent_data_path>/config aktualisiert.

Jede Datenbankinstanz wird implizit beim Anlegen registriert. Eine Aktualisierung der Registrierungsinformation könnte nur nach einem Datenbankfehler erforderlich werden.

Verwenden Sie dieses DBM-Kommando deshalb nur nach einem Upgrade der Datenbankinstanz in Verbindung mit der Angabe zum Installationspfad der neuen Version der Datenbanksoftware.

Da Sie damit auch die Version des Database Manager CLI ändern, ist es notwendig, vor dem Ausführen des Kommandos alle übrigen Sitzungen mit dem Database Manager (insbesondere auch mit dem Database Manager GUI) zu schließen.

Wenn Sie das Kommando im Sitzungsmodus ausführen, müssen Sie anschließend auch explizit den Database Manager CLI beenden. Auf diese Weise wird dann beim nächsten Zugriff auf die aktuelle Datenbankinstanz die neue Version der Datenbanksoftware und des Database Manager CLI verwendet.

Sie können mit diesem Kommando nur zwischen Versionen der Datenbanksoftware wechseln, die keine Migration der Datenbankinstanz erfordern.

### Voraussetzungen

● Sie haben die Serverberechtigung InstallMgm.

● Die Datenbankinstanz befindet sich im Betriebszustand OFFLINE.

● Sie haben alle anderen Sitzungen mit dem Database Manager (auch im Database Manager GUI) beendet.

Syntax

db_reg [-R <dependent_path> | -a [OFF] | –g <group> | -u <os_user>,<os_user_password>]

Optionen

Option | Beschreibung
-R <dependent_path> | Ablageort der von der Datenbankversion abhängigen Server-Software
-a [OFF] | Nur für Microsoft Windows: Sie definieren den Service-Eintrag Start-up-type im Control-Panel. Mögliche Optionen sind –a | -a OFF. -a: Der Start-up-type wird auf automatic gesetzt. -a OFF: Der Start-up-type wird auf manual gesetzt. Unter dem Betriebssystem UNIX wird dieser Parameter ignoriert.
-g <group> | Nur für UNIX: Sie ordnen ihre Datenbankdateien einer von der Standardgruppe abweichenden Betriebssystembenutzergruppe zu und können Sie damit vor unberechtigten Zugriffen schützen.
-u <os_user>,<os_user_password> | Nur für Microsoft Windows: Betriebssystembenutzerspezifikation Der Service zum Starten des Datenbankkerns soll unter dem angegebenen Betriebssystembenutzer laufen. <os_user>: Name des Betriebssystembenutzers <os_user_password>: Kennwort des Betriebssystembenutzers

### Beispiel

#### Ändern der Softwareversion im Kommandomodus

Aufrufen des Database Manager CLI, Anmelden als Benutzer OLEG mit dem Kennwort MONDAY, Herstellen der Verbindung zur Datenbankinstanz DEMODB, Ändern der aktuellen Softwareversion auf die Version 7.6, die unter dem Installationspfad C:\Program Files\sdb\76 abgelegt ist:

>dbmcli -u OLEG,MONDAY -d DEMODB db_reg -R "C:\Program Files\sdb\76"

OK

#### Ändern der Softwareversion im Sitzungsmodus

...

Aufrufen des Database Manager CLI, Anmelden als Benutzer DBM mit dem Kennwort DBM, Herstellen der Verbindung zur Datenbankinstanz DEMODB

Ändern der Softwareversion auf die Version 7.6 unter dem Installationspfad C:\Program Files\sdb\76,

Beenden des Database Manager CLI:

>dbmcli -u DBM,DBM -d DEMODB

dbmcli on DEMODB>db_reg -R "C:\Program Files\sdb\76"

dbmcli on DEMODB>exit

OK